Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 500277 - Review Request: fmit - Free Music Instrument Tuner
Summary: Review Request: fmit - Free Music Instrument Tuner
Keywords:
Status: CLOSED DUPLICATE of bug 665995
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-05-12 01:28 UTC by Henrique C. S. Junior
Modified: 2010-12-28 18:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-26 03:12:21 UTC


Attachments (Terms of Use)

Description Henrique C. S. Junior 2009-05-12 01:28:02 UTC
Spec URL: http://lspooky.fedorapeople.org/fmit/fmit.spec
SRPM URL: http://lspooky.fedorapeople.org/fmit/fmit-0.97.7-1.fc10.src.rpm
Description:
FMIT is a Free Music Instrument Tuner released under GPLv2
====================
rpmlint ~/rpmbuild/SRPMS/fmit-0.97.7-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====================
rpmlint ~/rpmbuild/RPMS/i386/fmit-0.97.7-1.fc10.i386.rpm
fmit.i386: E: devel-dependency fmit-devel
** rpmlint was complaining about some header files out of a devel package, so, I put then in one devel package.
fmit.i386: W: unstripped-binary-or-object /usr/bin/fmit
** I don't know what to do about this
fmit.i386: E: invalid-desktopfile /usr/share/applications/fmit.desktop
** Also, I don't know how to solve this either.
1 packages and 0 specfiles checked; 2 errors, 1 warnings.

Comment 1 Henrique C. S. Junior 2009-05-12 01:31:13 UTC
Ops! This package already have an review request. Please, ignore this.

Comment 2 Henrique C. S. Junior 2009-05-12 01:32:37 UTC

*** This bug has been marked as a duplicate of bug 459455 ***

Comment 3 Kevin Fenzi 2009-05-19 16:49:54 UTC
The old review is being closed in favor of this one.

Comment 4 Henrique C. S. Junior 2009-05-19 18:16:56 UTC
Something weird is happening. When trying to build new versions of fmit I'm getting this messages:
===Making all in ui
make[2]: Entrando no diretório `/home/lonely/rpmbuild/BUILD/fmit-0.97.7/ui'
/usr/lib/qt-3.3/bin/uic ConfigForm.ui > ConfigForm.h
/usr/lib/qt-3.3/bin/uic InstrumentTunerForm.ui > InstrumentTunerForm.h
/usr/lib/qt-3.3/bin/uic -impl ConfigForm.h ConfigForm.ui > ConfigForm.cpp
/usr/lib/qt-3.3/bin/moc ConfigForm.h > ConfigForm_moc.cpp
/usr/lib/qt-3.3/bin/uic -impl InstrumentTunerForm.h InstrumentTunerForm.ui > InstrumentTunerForm.cpp
/usr/lib/qt-3.3/bin/moc InstrumentTunerForm.h > InstrumentTunerForm_moc.cpp
/bin/sh: line 1: 14836 Falha de segmentação  /usr/lib/qt-3.3/bin/uic -impl ConfigForm.h ConfigForm.ui > ConfigForm.cpp
make[2]: ** [ConfigForm.cpp] Erro 139
make[2]: ** Esperando que outros processos terminem.
/bin/sh: line 1: 14840 Falha de segmentação  /usr/lib/qt-3.3/bin/uic -impl InstrumentTunerForm.h InstrumentTunerForm.ui > InstrumentTunerForm.cpp
make[2]: ** [InstrumentTunerForm.cpp] Erro 139
make[2]: Saindo do diretório `/home/lonely/rpmbuild/BUILD/fmit-0.97.7/ui'
make[1]: ** [all-recursive] Erro 1
make[1]: Saindo do diretório `/home/lonely/rpmbuild/BUILD/fmit-0.97.7'
make: ** [all] Erro 2
erro: Status de saída de /var/tmp/rpm-tmp.mg3AX7 inválido (%build)


Erros na construção do RPM:
    Status de saída de /var/tmp/rpm-tmp.mg3AX7 inválido (%build)
===
But, just a few days ago this problem is not happening as we can see in the first attempt to make this rpm (Comment #0).
Working on jebbas's RPM gets the same result:
http://lspooky.fedorapeople.org/fmit/0.97.7-6/fmit.spec
http://lspooky.fedorapeople.org/fmit/0.97.7-6/fmit-0.97.7-6.fc9.src.rpm

Comment 5 Henrique C. S. Junior 2009-05-23 16:10:55 UTC
Nobody had any clue?

Comment 6 Orcan Ogetbil 2009-06-02 19:39:50 UTC
I don't have such a problem here. Are you doing a plain rpmbuild build or a mock build?

By the way, please don't use "--vendor fedora" for new packages. Also would you consider adding fmit to the list at
   https://fedoraproject.org/wiki/AudioCreation
?

Comment 7 Orcan Ogetbil 2009-07-14 20:16:03 UTC
ping? are you still interested in this?

Comment 8 Henrique C. S. Junior 2009-07-15 13:42:07 UTC
Hi, Im' still alive.
Sorry for the delay, I've missed some messages.
I'll be working in this package again. Thanks, guys

Comment 9 Till Maas 2009-09-16 21:19:56 UTC
Please remove NotReady from the Whiteboard if the package is ready for review. Also please post error messages in the feature with an added "LANG=C" before the command to make the error message appear in English. This will allow more people to easier help you.

Comment 10 Jason Tibbitts 2010-01-26 03:12:21 UTC
This has been notready for months now, and no further progress seems evident.  I'm closing this one out again.

Comment 11 Jason Tibbitts 2010-12-28 18:19:10 UTC

*** This bug has been marked as a duplicate of bug 665995 ***


Note You need to log in before you can comment on or make changes to this bug.